Bug 1464232 - Stack stuck in UPDATE_IN_PROGRESS even after bouncing heat-engine
Stack stuck in UPDATE_IN_PROGRESS even after bouncing heat-engine
Status: ON_DEV
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
medium Severity medium
: z5
: 11.0 (Ocata)
Assigned To: Zane Bitter
Amit Ugol
scale_lab, aos-scalability-36
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 14:05 EDT by Sai Sindhur Malleni
Modified: 2018-02-17 22:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
heat-engine log on startup (1.37 MB, application/x-gzip)
2017-08-29 09:08 EDT, Sai Sindhur Malleni
no flags Details

  None (edit)
Description Sai Sindhur Malleni 2017-06-22 14:05:46 EDT
Description of problem: Since I knew the scale up of the nodes via Director was going to fail (scheduling errors) I ctrl+ced out of the deeployment command and restarted heat-engine. Ideally this should set the stack in UPDATE_FAILED state, so that I can retry scaling. However, the stack continues to be stuck in UPDATE_IN_PROGRESS state.


Version-Release number of selected component (if applicable):
11

How reproducible:
100% on the stack I tried

Steps to Reproduce:
1. Deploy overcloud stack
2. Start scaling up stack
3. Exit from scale up and restart heat-engine

Actual results:
Stack is stuck in UPDATE_IN_PROGRESS

Expected results:
Stack should be set to UPDATE_FAILED

Additional info:
I had to use  sudo heat-manage reset_stack_status to set stack tto UPDATTE_FAILED manually.
Comment 1 Zane Bitter 2017-07-06 10:15:05 EDT
Do we have any logs form the engine startup? It's possible that the database inconsistency observed in bug 1464533 could have caused the DB transaction to fail.
Comment 2 Zane Bitter 2017-07-31 15:14:37 EDT
Similar issue: bug 1445484.
Comment 3 Sai Sindhur Malleni 2017-08-29 09:08 EDT
Created attachment 1319527 [details]
heat-engine log on startup

Reproduced this on OSP10, on restarting heat-engine stack continues to be in CREATE_IN_PROGRESS,

Note You need to log in before you can comment on or make changes to this bug.